
#include <libsaria/idle.h>
#include "idle.h"

/*
 * The IdleTask should be constructed through `new` and not
 * allocated on the stack since it will be deleted by the
 * idle queue once it has run.
 */
IdleTask::IdleTask()  {}
IdleTask::~IdleTask() {}

void IdleTask::queue()
{
	libsaria::idle::queue_task(this, false);
}

void IdleTask::queue_front()
{
	libsaria::idle::queue_task(this, true);
}
